# $Revision: 1.28.2.5 $, $Date: 2007-11-21 19:28:54 $
Summary:	File archiver with highest compression ratio
Summary(pl.UTF-8):	Paker plików z najwyższym stopniem kompresji
Name:		p7zip
Version:	4.53
Release:	0.1
License:	LGPL v2.1+
Group:		Applications/Archiving
Source0:	http://dl.sourceforge.net/p7zip/%{name}_%{version}_src_all.tar.bz2
# Source0-md5:	331450463d5737bba96cbea2115abe8b
URL:		http://p7zip.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
7-Zip is a file archiver with highest compression ratio.

The main features of 7z format:
- Open architecture
- High compression ratio
- Strong AES-256 encryption
- Ability of using any compression, conversion or encryption method
- Supporting files with sizes up to 16000000000 GB
- Unicode file names
- Solid compressing
- Archive headers compressing

%description -l pl.UTF-8
7-Zip jest pakerem plików z najwyższym stopniem kompresji.

Główne cechy formatu 7z:
- otwarta architektura,
- wysoki stopień kompresji,
- silne kodowanie AES-256,
- możliwość używania dowolnych metod kodowania, kompresji, konwersji,
- obsługa bardzo dużych plików (powyżej 16000000000 GB),
- obsługa nazw plików w unikodzie,
- kompresja upakowana,
- kompresja nagłówków archiwum.

%package standalone
Summary:	Standalone 7zip executable
Summary(pl.UTF-8):	Samodzielny plik wykonywalny 7zip
Group:		Applications/Archiving
Obsoletes:	p7zip-stand-alone

%description standalone
Standalone version of 7zip. It handles less archive formats than
plugin capable version.

%description standalone -l pl.UTF-8
Samodzielna wersja 7zip-a. Obsługuje mniej formatów archiwów niż
wersja obsługująca wtyczki.

%prep
%setup -q -n %{name}_%{version}

cp -f makefile.linux_x86_ppc_alpha_gcc_4.X makefile.machine
%{__sed} -i -e 's/ -s / /' makefile.machine

find . -name '*.cpp' -exec sed -i -e 's@getenv("P7ZIP_HOME_DIR")@"%{_libdir}/%{name}/"@g' {} \;

%build
%{__make} all2 test \
	CC="%{__cc} \$(ALLFLAGS)" \
	CXX="%{__cxx} \$(ALLFLAGS)" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}/{Codecs,Formats},%{_mandir}/man1}

install bin/{7z,7zCon.sfx,7za} $RPM_BUILD_ROOT%{_bindir}
install bin/7z.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install bin/Codecs/* $RPM_BUILD_ROOT%{_libdir}/%{name}/Codecs

install man1/7z* $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOCS/{MANUAL,{7zFormat,License,Methods,history,lzma,readme}.txt} ChangeLog README TODO
%attr(755,root,root) %{_bindir}/7z
%attr(755,root,root) %{_bindir}/7zCon.sfx
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/7z.so
%dir %{_libdir}/%{name}/Codecs
%attr(755,root,root) %{_libdir}/%{name}/Codecs/*
%{_mandir}/man1/7z.1*

%files standalone
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/7za
%{_mandir}/man1/7za.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: p7zip.spec,v $
Revision 1.28.2.5  2007-11-21 19:28:54  arvenil
- up to 4.53 (merged from HEAD)
- removed outdated opt patch (merged from HEAD)

Revision 1.28.2.4  2007-11-21 19:21:36  arvenil
- patch is still no updated? Please update it

Revision 1.28.2.3  2007-07-17 18:57:37  paszczus
- updated to 4.49; updated Patch0

Revision 1.28.2.2  2007/07/17 17:50:48  arvenil
 - up to 4.48 (merged from HEAD)
 - build and works on AC amd64, i will ask for ac-test build
 - 0.1 (until patch update)

Revision 1.28.2.1  2006/05/10 11:01:36  blues
- builds on AC, but still not working

Revision 1.28  2006/05/10 08:00:47  blues
- obsolete means obsolete

Revision 1.27  2006/04/15 12:30:59  glen
- workaround for invalid timestamps

Revision 1.26  2006/04/15 11:29:04  wolf
- 4.39

Revision 1.25  2006/04/03 15:50:24  wolf
- 4.37

Revision 1.24  2006/02/13 13:50:02  wolf
- 4.33

Revision 1.23  2005/12/14 22:54:41  dzeus
- up to 4.30

Revision 1.22  2005/11/24 21:38:41  qrczak
- Fixed "extra qualification" errors from g++
- Release 2

Revision 1.21  2005/10/25 15:52:34  qboosh
- no macro in Obsoletes for old package

Revision 1.20  2005/10/25 15:45:52  glen
- stand-alone you can say to you male genital (rename subpackage stand-alone to standalone)

Revision 1.19  2005/10/07 21:30:54  paszczus
- updated to 4.29

Revision 1.18  2005/09/23 07:16:30  paszczus
- updated to 4.27 ; STBR

Revision 1.17  2005/06/05 12:17:35  wolf
- 4.20

Revision 1.16  2005/05/12 22:24:42  charles
- updated to 4.18

Revision 1.15  2005/04/15 09:04:30  pluto
- rpmcxxflags for cxx.

Revision 1.14  2005/04/12 14:21:39  dzeus
- up to 4.16, manual added

Revision 1.13  2005/01/24 16:43:05  charles
- fix sed usage, STBR

Revision 1.12  2005/01/23 20:19:19  darekr
- BR: sed 4.0

Revision 1.11  2005/01/23 19:56:14  charles
- updated to 4.14.01 (bugfixes)

Revision 1.10  2005/01/15 19:39:57  dzeus
- up to 4.14, fixed URL, cosmetics in desc

Revision 1.9  2004/12/19 17:27:31  adamg
- release 2

Revision 1.8  2004/12/19 15:15:55  adamg
- updated to 4.13

Revision 1.7  2004/11/26 17:31:20  wolf
- 4.12

Revision 1.6  2004/08/28 21:10:32  blues
- release 2

Revision 1.5  2004/08/27 23:46:11  qboosh
- updated to 0.91

Revision 1.4  2004/07/31 23:03:05  twittner
- typo

Revision 1.3  2004/07/31 22:18:16  wolf
- 0.90

Revision 1.2  2004/07/11 13:35:21  qboosh
- XFree86-devel seems not used(?), but libstdc++-devel is

Revision 1.1  2004/07/09 12:53:53  wolf
- new
